org.apache.ignite.internal.visor.baseline

## Enum VisorBaselineOperation

- java.lang.Object
- - java.lang.Enum<VisorBaselineOperation>
  - - org.apache.ignite.internal.visor.baseline.VisorBaselineOperation

All Implemented Interfaces:
  Serializable, Comparable<VisorBaselineOperation>

    public enum VisorBaselineOperation
    extends Enum<VisorBaselineOperation>

Baseline operation types.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADD` Add nodes to baseline.
`COLLECT` Collect baseline information.
`REMOVE` Remove nodes from baseline.
`SET` Set new baseline.
`VERSION` Set baseline for topology version.

### Method Summary

All Methods Static Methods Concrete Methods
`static VisorBaselineOperation` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static VisorBaselineOperation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VisorBaselineOperation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COLLECT

    public static final VisorBaselineOperation COLLECT

Collect baseline information.

#### ADD

    public static final VisorBaselineOperation ADD

Add nodes to baseline.

#### REMOVE

    public static final VisorBaselineOperation REMOVE

Remove nodes from baseline.

#### SET

    public static final VisorBaselineOperation SET

Set new baseline.

#### VERSION

    public static final VisorBaselineOperation VERSION

Set baseline for topology version.

### Method Detail

#### values

    public static VisorBaselineOperation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VisorBaselineOperation c : VisorBaselineOperation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VisorBaselineOperation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static VisorBaselineOperation fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018